import { IDataSourceQuery } from '@cloudbase/cals';
import { IGenerateContext, IGenerateOptions } from './adapter/generate';
export interface IQueryContext extends IGenerateContext {
    $w: any;
}
export declare class Query {
    #private;
    constructor({ schema, context, options, }: {
        schema: IDataSourceQuery;
        context: IQueryContext;
        options?: IGenerateOptions;
    });
    get id(): string;
    get label(): string;
    get description(): string;
    get data(): any;
    get error(): Error;
    get isFetching(): boolean;
    trigger(additionalScope?: any, options?: {}): Promise<any>;
    reset(): void;
    destroy(): void;
    /**
     * 用于调试
     */
    _toSchema(): IDataSourceQuery;
    toJSON(): {};
}
